<?xml version="1.0" encoding="UTF-8"?>       
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	
	<!-- Declare some variable -->
	
	<xsl:include href="ReportLabelsVars.xslt"/>
	
	<xsl:variable name="oldLocation" select="//Location/OldText"/>       	
	<xsl:variable name="newLocation" select="//Location/NewText"/>	        
	<xsl:variable name="oldLabel" select="//Label/OldText"/>      	
	<xsl:variable name="newLabel" select="//Label/NewText"/>	
	
	<!-- these variables need to be added to "ReportLabelsVars.xslt" -->		
	<xsl:variable name="none">
		<xsl:text>**None</xsl:text> 
	</xsl:variable>
	
	<!-- End variable declaration-->
        
	<!--<xsl:template match="PROJECT/Discussions">	-->
	<xsl:template match="PROJECT">	
	
	<html>
	<head>
		<LINK 
		    REL="StyleSheet" 
		    TYPE="text/css" 
		    HREF="Style_Main.css"/>			
		<title>
		<xsl:value-of select="$rptTitle"/>
		</title>
	</head>
	<body>
	
		<table border="0" width="100%">
		  <tr>
		  	<td width="100%">
		  		<font class="SectionHeading">
		    		<xsl:value-of select="$rptBaselinesLbl"/>
		    	</font>
		    </td>
		  </tr>
		</table>	
		
		<!-- Start Baseline Section -->				
		<table border="1" width="100%" height="99">
		  <tr>		    
		    <th ALIGN="LEFT"><b><xsl:value-of select="$firstBaseline"/></b></th>
		    <th ALIGN="LEFT"><b><xsl:value-of select="$secondBaseline"/></b></th>
		  </tr>		
		  <tr>
		    <td width="50%" height="19"><xsl:value-of select="$rptBaselineLoc"/>
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    	<xsl:value-of select="$oldLocation"/> 
		    </td>
		    <td width="50%" height="19"><xsl:value-of select="$rptBaselineLoc"/>
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			    <xsl:value-of select="$newLocation"/>
		    </td>
		  </tr>		  
		  <tr>
		    <td width="50%" height="19"><xsl:value-of select="$rptBaselineLabelLbl"/>
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    	<xsl:value-of select="$oldLabel"/> 
		    </td>
		    <td width="50%" height="19"><xsl:value-of select="$rptBaselineLabelLbl"/>
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			    <xsl:value-of select="$newLabel"/>
		    </td>
		  </tr>
		  <tr>
		    <td width="50%" height="19"><xsl:value-of select="$rptTimeStampLbl"/> 
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    	<xsl:value-of select="TimeStamp/OldText"/>
		    </td>
		    <td width="50%" height="19"><xsl:value-of select="$rptTimeStampLbl"/> 
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    	<xsl:value-of select="TimeStamp/NewText"/>
		    </td>
		  </tr>
		</table>
		
		 <xsl:apply-templates select="Discussions"/>
		 
	</body>
	</html>		 
		<!-- End Baseline Section -->				
	</xsl:template>

	<!-- The Discussion section -->	
	<xsl:template match="Discussions">				
			<!-- The Discussion section -->
				<xsl:if test="string-length(//Discussion/Subject)>0"> 
					<table border="0" width="100%">
					  <tr>
					  	<td>
					  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					   	</td>
					  </tr>
					  <tr>
					  	<td>
					  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					   	</td>
					  </tr>
					  <tr>					  
					    <td width="100%">
					    	<font class="SectionHeading">	
					    		<xsl:value-of select="$rptDiscLbl"/>	    		
		    				</font>
					    </td>
					  </tr>
					</table>		
					<table border="1" width="100%" height="82">		  
					  <tr>
					    <th ALIGN="LEFT"><b><xsl:value-of select="$rptDiscDepthLbl"/></b></th>
						<th ALIGN="LEFT"><b><xsl:value-of select="$diffLbl"/></b></th>
					    <th ALIGN="LEFT"><b><xsl:value-of select="$rptSubjectLbl"/></b></th>
					    <th ALIGN="LEFT"><b><xsl:value-of select="$rptDescLbl"/></b></th>
						<th ALIGN="LEFT"><b><xsl:value-of select="$rptReqsLbl"/></b></th>				    
					    <th ALIGN="LEFT"><b><xsl:value-of select="$rptAuthorLbl"/></b></th>
					    <th ALIGN="LEFT" ><b><xsl:value-of select="$rptDateLbl"/></b></th>
					    <th ALIGN="LEFT" ><b><xsl:value-of select="$rptReadByLbl"/></b></th>
					  </tr>		 
				  	  <xsl:apply-templates select="Discussion"/>
					</table>	
				</xsl:if> 			  		  
			<!-- End the Discussion section -->	
									
	</xsl:template>		
	
	<!-- The Discussion section -->	
	<xsl:template match="Discussion">		
	
		<xsl:variable name="DiscID">
  			<xsl:apply-templates select="DiscID"/>
  		</xsl:variable>
	  					
		<tr>
			<td ALIGN="LEFT" height="19">	
				0
			</td>	
			<td ALIGN="LEFT" height="19">
				<xsl:choose> 
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:value-of select="$inserted"/>       	
	          		</xsl:when>
	      			<xsl:when test="@ModFlag=3"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when>	          		
					<xsl:when test="@ModFlag=4"> 
						<xsl:value-of select="$inserted"/>       	
	          		</xsl:when> 	          		 
	      			<xsl:when test="@ModFlag=5"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when>		          		
		      		<xsl:otherwise> 
		      	    	<xsl:value-of select="$noChange"/> 
	      	 	 	</xsl:otherwise> 	
	      		</xsl:choose>
			</td>
			<td ALIGN="LEFT" height="19">						
				<a name="#{$DiscID}"></a> 
				<font color="black">
					<xsl:choose> 					
						<xsl:when test="string-length(Subject)>0"> 
							<xsl:apply-templates select="Subject"/>         	
	          			</xsl:when> 
		      			<xsl:otherwise> 
		      	    		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
	      	 	 		</xsl:otherwise>
	      	 		</xsl:choose>
      	 		</font>
	      	 						
			</td>													
			<td ALIGN="LEFT" height="19">						
				<xsl:choose> 					
					<xsl:when test="string-length(Description)>0"> 
						<xsl:apply-templates select="Description"/>        	
	          		</xsl:when> 
		      		<xsl:otherwise> 
		      	    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
	      	 	 	</xsl:otherwise>
	      	 	</xsl:choose> 					  
			</td>			
			
			<td ALIGN="LEFT" height="19">	
				<xsl:choose> 					
					<xsl:when test="string-length(DiscReqs/DiscReq/RPre)>0"> 
						<xsl:for-each select='DiscReqs/DiscReq'>
							<xsl:if test="position()!=1">
								<xsl:text>,</xsl:text>
								<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
							</xsl:if>
							<xsl:apply-templates select="RPre"/> 
						</xsl:for-each>	       	
	          		</xsl:when> 
		      		<xsl:otherwise> 
		      	    	<xsl:value-of select="$none"/>
	      	 	 	</xsl:otherwise>
	      	 	</xsl:choose> 										
			</td>			
							
			<td ALIGN="LEFT" height="19">	
				<xsl:apply-templates select="AuthorName"/>  
			</td>
			<td ALIGN="LEFT" height="19">	
				<xsl:apply-templates select="Date"/>  
			</td>	
			<td ALIGN="LEFT" height="19">	
				<xsl:choose> 					
					<xsl:when test="string-length(DiscRead/DiscUser/DiscUserName)>0"> 
						<xsl:for-each select='DiscRead/DiscUser'>
							<xsl:if test="position()!=1">
								<xsl:text>,</xsl:text>
								<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
							</xsl:if>
							<xsl:apply-templates select="DiscUserName"/> 
						</xsl:for-each>	       	
	          		</xsl:when> 
		      		<xsl:otherwise> 
		      	    	<xsl:value-of select="$none"/>
	      	 	 	</xsl:otherwise>
	      	 	</xsl:choose> 										
			</td>														
		</tr>
		
		<xsl:apply-templates select="Replies">
			<xsl:with-param name="reqTag">						
				<xsl:choose> 						
					<xsl:when test="string-length(DiscReqs/DiscReq/RPre)>0"> 
						<xsl:for-each select='DiscReqs/DiscReq'>
							<xsl:if test="position()!=1">
								<xsl:text>, </xsl:text>								
							</xsl:if>
							<xsl:apply-templates select="RPre"/> 
						</xsl:for-each>	       	
	          		</xsl:when> 
					<xsl:otherwise> 						
						<xsl:value-of select="$none"/>
					</xsl:otherwise>					
				</xsl:choose>
			</xsl:with-param>
			<xsl:with-param name="replyCount">	
				<xsl:text>0</xsl:text>
			</xsl:with-param>				
		</xsl:apply-templates>
		
	</xsl:template>		
	
	<!-- The Reply section -->	
	<xsl:template match="Replies">
		<xsl:param name="reqTag"/>
		<xsl:param name="replyCount"/>
		<xsl:variable name="replyDepth"> 
    		<xsl:value-of select="$replyCount + 1"/>
		</xsl:variable>			
			
		<xsl:for-each select='Discussion'>	
		
			<xsl:variable name="DiscID">
	  			<xsl:apply-templates select="DiscID"/>
	  		</xsl:variable>	  			
		
			<tr>
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$replyDepth"/>
				</td>
				<td ALIGN="LEFT" height="19">
					<xsl:choose> 
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:value-of select="$inserted"/>       	
		          		</xsl:when>
		      			<xsl:when test="@ModFlag=3"> 
							<xsl:value-of select="$deleted"/>       	
		          		</xsl:when>	          		
						<xsl:when test="@ModFlag=4"> 
							<xsl:value-of select="$inserted"/>       	
		          		</xsl:when> 	          		 
		      			<xsl:when test="@ModFlag=5"> 
							<xsl:value-of select="$deleted"/>       	
		          		</xsl:when>		          		
			      		<xsl:otherwise> 
			      	    	<xsl:value-of select="$noChange"/> 
		      	 	 	</xsl:otherwise> 	
		      		</xsl:choose>
				</td>													
				<td ALIGN="LEFT" height="19">	
				
					<a name="#{$DiscID}"></a>					
					<font color="black">
						<xsl:choose> 					
							<xsl:when test="string-length(Subject)>0"> 
								<xsl:apply-templates select="Subject"/>         	
		          			</xsl:when> 
			      			<xsl:otherwise> 
			      	    		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		      	 	 		</xsl:otherwise>
		      	 		</xsl:choose> 
	      	 		</font>
		      	 				
				</td>													
				<td ALIGN="LEFT" height="19">						
					<xsl:choose> 					
						<xsl:when test="string-length(Description)>0"> 
							<xsl:apply-templates select="Description"/>        	
		          		</xsl:when> 
			      		<xsl:otherwise> 
			      	    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		      	 	 	</xsl:otherwise>
		      	 	</xsl:choose> 					  
				</td>
				<td ALIGN="LEFT" height="19">				
					<xsl:value-of select="$reqTag"/>								
				</td>								
				<td ALIGN="LEFT" height="19">	
					<xsl:apply-templates select="AuthorName"/>  
				</td>
				<td ALIGN="LEFT" height="19">	
					<xsl:apply-templates select="Date"/>  
				</td>	
				<td ALIGN="LEFT" height="19">	
					<xsl:choose> 					
						<xsl:when test="string-length(DiscRead/DiscUser/DiscUserName)>0"> 
							<xsl:for-each select='DiscRead/DiscUser'>
								<xsl:if test="position()!=1">
									<xsl:text>,</xsl:text>
									<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
								</xsl:if>
								<xsl:apply-templates select="DiscUserName"/> 
							</xsl:for-each>	       	
		          		</xsl:when> 
			      		<xsl:otherwise> 
			      	    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		      	 	 	</xsl:otherwise>
		      	 	</xsl:choose> 										
				</td>							
			</tr>
			
			<xsl:apply-templates select="Replies">				
				<xsl:with-param name="reqTag">	
					<xsl:value-of select="$reqTag"/>
				</xsl:with-param>
				<xsl:with-param name="replyCount">	
					<xsl:value-of select="$replyDepth"/>
				</xsl:with-param>					
			</xsl:apply-templates>			
		</xsl:for-each>		
		
		<!--<xsl:apply-templates />-->
	</xsl:template>			
	
</xsl:stylesheet>	